TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Address book

GET
/api/v3/addressBook

Query the address book for the specified addresses.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*array<string>

List of addresses in any form to include in the address book. Maximum: 1024 addresses.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/addressBook?address=string"
{
  "property1": {
    "domain": "string",
    "interfaces": [
      "string"
    ],
    "user_friendly": "string"
  },
  "property2": {
    "domain": "string",
    "interfaces": [
      "string"
    ],
    "user_friendly": "string"
  }
}
{
  "code": 0,
  "error": "string"
}